
// chirp sound file
#include "tng_chirp.h"

const int PA_EN = 22;
const int AUDIO =  A12; //D16
IntervalTimer myTimer;
int sound_index;

void setup(void) {

  pinMode(PA_EN, OUTPUT);
  digitalWrite(PA_EN, 0);
  pinMode(AUDIO, OUTPUT);
  analogWriteResolution(8);
  sound_index = 0;

  Serial.begin(115200);
  while (!Serial);
  delay(100);
  Serial.println("Speaker test");
  delay(100);

  myTimer.begin(playAudio, 31.250); //32 kHz

}

void loop() {


  digitalWrite(PA_EN, 1);
  Serial.println("PA On");
  delay(1000);
  
  //myTimer.end();
  Serial.println("Audio Done");
  delay(1000);
  //myTimer.begin(playAudio, 31250); //32 kHz
  Serial.println("Audio Start");
  
}

void playAudio() {
  if(sound_index >= sounddata_length) {
    sound_index = 0;
    delay(1000);
  }
  uint8_t data = sounddata_data[sound_index];
  analogWrite(AUDIO, data-128);
  
  //Serial.println(data);
  sound_index++;
}

